Skip to main content
GET
/
v2
/
address
/
{address}
/
positions
Get DEFI positions for an address
curl --request GET \
  --url https://api.getnimbus.io/v2/address/{address}/positions \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "positionId": "0x7016aae72cfc67f2fadf55769c0a7dd54291a583b63051a5ed71081cce836ac6::sca::SCA",
      "owner": "0x7383b5e076553f79822374baca843c8fac02d510fb0f4ab344fc7ab591be94a7",
      "input": [
        {
          "amount": 230.1003476015875,
          "value": 89.34665515948616,
          "token": {
            "contract_address": "0x7016aae72cfc67f2fadf55769c0a7dd54291a583b63051a5ed71081cce836ac6::sca::SCA",
            "decimals": 9,
            "name": "Scallop",
            "symbol": "SCA",
            "logo": "https://token-logo.getnimbus.io/api/v1/logo?address=0x7016...&chain=SUI",
            "timestamp": 1732681440,
            "price": 0.38829430763915,
            "last24hPrice": 0.2,
            "poolId": "lending:0x83556891f4a0f233ce7b05cfe7f957d4020492a34f5405b2cb9377d060bef4bf::spring_sui::SPRING_SUI",
            "source": "Nimbus"
          }
        }
      ],
      "yieldCollected": [
        {
          "amount": 230.1003476015875,
          "value": 89.34665515948616,
          "token": {
            "contract_address": "0x7016aae72cfc67f2fadf55769c0a7dd54291a583b63051a5ed71081cce836ac6::sca::SCA",
            "decimals": 9,
            "name": "Scallop",
            "symbol": "SCA",
            "logo": "https://token-logo.getnimbus.io/api/v1/logo?address=0x7016...&chain=SUI",
            "timestamp": 1732681440,
            "price": 0.38829430763915,
            "last24hPrice": 0.2,
            "poolId": "lending:0x83556891f4a0f233ce7b05cfe7f957d4020492a34f5405b2cb9377d060bef4bf::spring_sui::SPRING_SUI",
            "source": "Nimbus"
          }
        }
      ],
      "current": {
        "tokens": [
          {
            "amount": 230.1003476015875,
            "value": 89.34665515948616,
            "token": {
              "contract_address": "0x7016aae72cfc67f2fadf55769c0a7dd54291a583b63051a5ed71081cce836ac6::sca::SCA",
              "decimals": 9,
              "name": "Scallop",
              "symbol": "SCA",
              "logo": "https://token-logo.getnimbus.io/api/v1/logo?address=0x7016...&chain=SUI",
              "timestamp": 1732681440,
              "price": 0.38829430763915,
              "last24hPrice": 0.2,
              "poolId": "lending:0x83556891f4a0f233ce7b05cfe7f957d4020492a34f5405b2cb9377d060bef4bf::spring_sui::SPRING_SUI",
              "source": "Nimbus"
            }
          }
        ],
        "yield": [
          {
            "amount": 230.1003476015875,
            "value": 89.34665515948616,
            "token": {
              "contract_address": "0x7016aae72cfc67f2fadf55769c0a7dd54291a583b63051a5ed71081cce836ac6::sca::SCA",
              "decimals": 9,
              "name": "Scallop",
              "symbol": "SCA",
              "logo": "https://token-logo.getnimbus.io/api/v1/logo?address=0x7016...&chain=SUI",
              "timestamp": 1732681440,
              "price": 0.38829430763915,
              "last24hPrice": 0.2,
              "poolId": "lending:0x83556891f4a0f233ce7b05cfe7f957d4020492a34f5405b2cb9377d060bef4bf::spring_sui::SPRING_SUI",
              "source": "Nimbus"
            }
          }
        ]
      },
      "fee": 0,
      "chain": "SUI",
      "type": "Staking",
      "farming": [
        {
          "base_apr": 10,
          "rewards_apr": 20,
          "total_apr": 30,
          "total_apy": 40,
          "rewards": [
            {
              "token_address": "0x7016aae72cfc67f2fadf55769c0a7dd54291a583b63051a5ed71081cce836ac6::sca::SCA",
              "logo": "https://token-logo.getnimbus.io/api/v1/logo?address=0x7016...&chain=SUI",
              "token_name": "Scallop",
              "token_symbol": "SCA",
              "token_decimals": 9
            }
          ]
        }
      ],
      "meta": {
        "protocol": {
          "name": "Scallop",
          "logo": "https://strapi-dev.scand.app/uploads/Scallop_e86ded6cf4.jpg",
          "url": "https://scallop.io/",
          "protocol": "Scallop"
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.getnimbus.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:nimbus-6a7c85b1-99f4-4d99-b8f3-e6e49b8daad0
required

API key for authentication

Path Parameters

address
string
required

The address to get positions for

Query Parameters

chain
string

The blockchain to query

protocol
string

List of protocols to query positions separated by commas. You can get supported protocols from api "/v2/defi/protocols"

force_refresh
boolean

Whether to force refresh the positions

slush_skip
boolean

When true, filters out positions that are underlying Slush strategies (AlphaFi positions tagged SlushLending and the Slush Volo vault)

exclude_protocol
string

Comma-separated list of protocol slugs to exclude from results

Response

Successful response with position information

data
object[]